#
# Conditional build:
%bcond_with	glib2		# use glib2 (default is glib 1.x)
#
Summary:	3store RDF engine
Summary(pl.UTF-8):	Silnik RDF 3store
Name:		3store
Version:	2.2.22
Release:	15
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/threestore/%{name}-%{version}.tar.gz
# Source0-md5:	6fa70d2830c82eb030d8888f4da0c86c
Patch0:		%{name}-ac.patch
Patch1:		glib2.patch
Patch2:		format-security.patch
URL:		http://threestore.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
%{!?with_glib2:BuildRequires:	glib-devel}
%{?with_glib2:BuildRequires:	glib2-devel}
BuildRequires:	libraptor-devel >= 0.9.10
BuildRequires:	libtool
BuildRequires:	mysql-devel
%{?with_glib2:BuildRequires:	pkgconfig}
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
3store is a highly scalable RDF triplestore, made available under the
GNU General Public Licence and funded by the AKT Consortium
<http://www.aktors.org/>.

%description -l pl.UTF-8
3store to wysoce skalowalne triplestore RDF, udostępnione na
Powszechnej Licencji Publicznej GNU (GPL), sponsorowane przez AKT
Consortium <http://www.aktors.org/>.

%package devel
Summary:	Header files for 3store library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki 3store
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for -lfl
Requires:	flex
%{!?with_glib2:Requires:	glib-devel}
%{?with_glib2:Requires:	glib2-devel}
Requires:	libraptor-devel >= 0.9.10
Requires:	mysql-devel

%description devel
Header files for 3store library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki 3store.

%package static
Summary:	Static 3store library
Summary(pl.UTF-8):	Statyczna biblioteka 3store
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static 3store library.

%description static -l pl.UTF-8
Statyczna biblioteka 3store.

%prep
%setup -q
%patch0 -p1
%{?with_glib2:%patch1 -p1}
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# librdfsql.la obsoleted by 3store.pc file
# libokbc.la is internal library (no header exported)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib{okbc,rdfsql}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/tstore_*
%attr(755,root,root) %{_libdir}/librdfsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librdfsql.so.0
%attr(755,root,root) %{_libdir}/libokbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libokbc.so.0
%{_datadir}/3store

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/3store-config
%attr(755,root,root) %{_libdir}/librdfsql.so
%attr(755,root,root) %{_libdir}/libokbc.so
%{_includedir}/rdfsql
%{_pkgconfigdir}/3store.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librdfsql.a
%{_libdir}/libokbc.a
%changelog
* Sun Nov 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/3store.git;a=log;h=master

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0e5b57b
- drop .la files to reduce -devel deps; release 15

* Wed Oct 23 2019 Jan Rękorajski <baggins@pld-linux.org> d22b03e
- release 14 (by relup.sh)

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 353d2a4
- release 13 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 955a0dc
- rebuild with mysql 5.7
- release 12 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> d4760af
- fix format string errors
- rel 11

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 0ae2934
- rebuild with readline 7.0
- release 10 (by relup.sh)

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 53adfb2
- release 9

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dad934
- release 8

* Wed Oct 28 2009 Szymon Siwek <sls@pld-linux.org> 5402035
- BR: pkgconfig (--with glib2)

* Tue Oct 27 2009 Szymon Siwek <sls@pld-linux.org> ce0a01e
- 3store.pc and 3store-config should know about glib-2.0 --cflags-only-I
  (or should it be full --cflags?)

* Tue Oct 27 2009 Szymon Siwek <sls@pld-linux.org> 323452f
- fixed glib-requires in -devel package

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> a1caaef
- added glib2 patch and bcond (it builds and probably works)

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 9d497e0
- rel 7

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b44015f
- release 6

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> c2faba3
- ghost soname symlinks

* Fri May 23 2008 Szymon Siwek <sls@pld-linux.org> 9ff042b
- BR: readline-devel

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 192c1f9
- release 5

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> c1ffe5d
- release 4

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b8ca6bb
- rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7930506
- tabs in preamle

